.TH wxWindow 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxWindow \- See external documentation: wxWindow\&.
.SH DESCRIPTION
.LP
See external documentation: wxWindow <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxWindow()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxWindow()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowwxwindow>\&.
.RE
.LP
.B
new(Parent::wxWindow(), Id::integer()) -> wxWindow()
.br
.RS
.LP
Equivalent to new(Parent, Id, [])\&.
.RE
.LP
.B
new(Parent::wxWindow(), Id::integer(), Options::[Option]) -> wxWindow()
.br
.RS
.TP
Types
Option = {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowwxwindow>\&.
.RE
.LP
.B
cacheBestSize(This::wxWindow(), Size::{W::integer(), H::integer()}) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowcachebestsize>\&.
.RE
.LP
.B
captureMouse(This::wxWindow()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowcapturemouse>\&.
.RE
.LP
.B
center(This::wxWindow()) -> ok
.br
.RS
.LP
Equivalent to center(This, [])\&.
.RE
.LP
.B
center(This::wxWindow(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {dir, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowcenter>\&.
.RE
.LP
.B
centerOnParent(This::wxWindow()) -> ok
.br
.RS
.LP
Equivalent to centerOnParent(This, [])\&.
.RE
.LP
.B
centerOnParent(This::wxWindow(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {dir, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowcenteronparent>\&.
.RE
.LP
.B
centre(This::wxWindow()) -> ok
.br
.RS
.LP
Equivalent to centre(This, [])\&.
.RE
.LP
.B
centre(This::wxWindow(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {dir, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowcentre>\&.
.RE
.LP
.B
centreOnParent(This::wxWindow()) -> ok
.br
.RS
.LP
Equivalent to centreOnParent(This, [])\&.
.RE
.LP
.B
centreOnParent(This::wxWindow(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {dir, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowcentreonparent>\&.
.RE
.LP
.B
clearBackground(This::wxWindow()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowclearbackground>\&.
.RE
.LP
.B
clientToScreen(This::wxWindow(), Pt::{X::integer(), Y::integer()}) -> {X::integer(), Y::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowclienttoscreen>\&.
.RE
.LP
.B
clientToScreen(This::wxWindow(), X::integer(), Y::integer()) -> {X::integer(), Y::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowclienttoscreen>\&.
.RE
.LP
.B
close(This::wxWindow()) -> bool()
.br
.RS
.LP
Equivalent to close(This, [])\&.
.RE
.LP
.B
close(This::wxWindow(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {force, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowclose>\&.
.RE
.LP
.B
convertDialogToPixels(This::wxWindow(), Sz::{W::integer(), H::integer()}) -> {W::integer(), H::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowconvertdialogtopixels>\&.
.RE
.LP
.B
convertPixelsToDialog(This::wxWindow(), Sz::{W::integer(), H::integer()}) -> {W::integer(), H::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowconvertpixelstodialog>\&.
.RE
.LP
.B
Destroy(This::wxWindow()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowdestroy>\&.
.RE
.LP
.B
destroyChildren(This::wxWindow()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowdestroychildren>\&.
.RE
.LP
.B
disable(This::wxWindow()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowdisable>\&.
.RE
.LP
.B
enable(This::wxWindow()) -> bool()
.br
.RS
.LP
Equivalent to enable(This, [])\&.
.RE
.LP
.B
enable(This::wxWindow(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {enable, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowenable>\&.
.RE
.LP
.B
findFocus() -> wxWindow()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowfindfocus>\&.
.RE
.LP
.B
findWindow(This::wxWindow(), X::integer() | string()) -> wxWindow()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowfindwindow>\&. 
.br
 Alternatives: 
.LP
\fI findWindow(This::wxWindow(), Winid::integer()) -> wxWindow() \fR 
.LP
\fI findWindow(This::wxWindow(), Name::string()) -> wxWindow() \fR 
.RE
.LP
.B
findWindowById(Winid::integer()) -> wxWindow()
.br
.RS
.LP
Equivalent to findWindowById(Winid, [])\&.
.RE
.LP
.B
findWindowById(Winid::integer(), Options::[Option]) -> wxWindow()
.br
.RS
.TP
Types
Option = {parent, wxWindow()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowfindwindowbyid>\&.
.RE
.LP
.B
findWindowByName(Name::string()) -> wxWindow()
.br
.RS
.LP
Equivalent to findWindowByName(Name, [])\&.
.RE
.LP
.B
findWindowByName(Name::string(), Options::[Option]) -> wxWindow()
.br
.RS
.TP
Types
Option = {parent, wxWindow()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowfindwindowbyname>\&.
.RE
.LP
.B
findWindowByLabel(Label::string()) -> wxWindow()
.br
.RS
.LP
Equivalent to findWindowByLabel(Label, [])\&.
.RE
.LP
.B
findWindowByLabel(Label::string(), Options::[Option]) -> wxWindow()
.br
.RS
.TP
Types
Option = {parent, wxWindow()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowfindwindowbylabel>\&.
.RE
.LP
.B
fit(This::wxWindow()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowfit>\&.
.RE
.LP
.B
fitInside(This::wxWindow()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowfitinside>\&.
.RE
.LP
.B
freeze(This::wxWindow()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowfreeze>\&.
.RE
.LP
.B
getAcceleratorTable(This::wxWindow()) -> wxAcceleratorTable() (see module wxAcceleratorTable)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowgetacceleratortable>\&.
.RE
.LP
.B
getBackgroundColour(This::wxWindow()) -> colour() (see module wx)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowgetbackgroundcolour>\&.
.RE
.LP
.B
getBackgroundStyle(This::wxWindow()) -> WxBackgroundStyle
.br
.RS
.TP
Types
WxBackgroundStyle = integer()
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowgetbackgroundstyle>\&. 
.br
 WxBackgroundStyle is one of ?wxBG_STYLE_SYSTEM | ?wxBG_STYLE_COLOUR | ?wxBG_STYLE_CUSTOM
.RE
.LP
.B
getBestSize(This::wxWindow()) -> {W::integer(), H::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowgetbestsize>\&.
.RE
.LP
.B
getCaret(This::wxWindow()) -> wxCaret() (see module wxCaret)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowgetcaret>\&.
.RE
.LP
.B
getCapture() -> wxWindow()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowgetcapture>\&.
.RE
.LP
.B
getCharHeight(This::wxWindow()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowgetcharheight>\&.
.RE
.LP
.B
getCharWidth(This::wxWindow()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowgetcharwidth>\&.
.RE
.LP
.B
getChildren(This::wxWindow()) -> [wxWindow()]
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowgetchildren>\&.
.RE
.LP
.B
getClientSize(This::wxWindow()) -> {W::integer(), H::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowgetclientsize>\&.
.RE
.LP
.B
getContainingSizer(This::wxWindow()) -> wxSizer() (see module wxSizer)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowgetcontainingsizer>\&.
.RE
.LP
.B
getCursor(This::wxWindow()) -> wxCursor() (see module wxCursor)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowgetcursor>\&.
.RE
.LP
.B
getDropTarget(This::wxWindow()) -> wxDropTarget() (see module wxDropTarget)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowgetdroptarget>\&.
.RE
.LP
.B
getEventHandler(This::wxWindow()) -> wxEvtHandler() (see module wxEvtHandler)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowgeteventhandler>\&.
.RE
.LP
.B
getExtraStyle(This::wxWindow()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowgetextrastyle>\&.
.RE
.LP
.B
getFont(This::wxWindow()) -> wxFont() (see module wxFont)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowgetfont>\&.
.RE
.LP
.B
getForegroundColour(This::wxWindow()) -> colour() (see module wx)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowgetforegroundcolour>\&.
.RE
.LP
.B
getGrandParent(This::wxWindow()) -> wxWindow()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowgetgrandparent>\&.
.RE
.LP
.B
getHandle(This::wxWindow()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowgethandle>\&.
.RE
.LP
.B
getHelpText(This::wxWindow()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowgethelptext>\&.
.RE
.LP
.B
getId(This::wxWindow()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowgetid>\&.
.RE
.LP
.B
getLabel(This::wxWindow()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowgetlabel>\&.
.RE
.LP
.B
getMaxSize(This::wxWindow()) -> {W::integer(), H::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowgetmaxsize>\&.
.RE
.LP
.B
getMinSize(This::wxWindow()) -> {W::integer(), H::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowgetminsize>\&.
.RE
.LP
.B
getName(This::wxWindow()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowgetname>\&.
.RE
.LP
.B
getParent(This::wxWindow()) -> wxWindow()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowgetparent>\&.
.RE
.LP
.B
getPosition(This::wxWindow()) -> {X::integer(), Y::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowgetposition>\&.
.RE
.LP
.B
getRect(This::wxWindow()) -> {X::integer(), Y::integer(), W::integer(), H::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowgetrect>\&.
.RE
.LP
.B
getScreenPosition(This::wxWindow()) -> {X::integer(), Y::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowgetscreenposition>\&.
.RE
.LP
.B
getScreenRect(This::wxWindow()) -> {X::integer(), Y::integer(), W::integer(), H::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowgetscreenrect>\&.
.RE
.LP
.B
getScrollPos(This::wxWindow(), Orient::integer()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowgetscrollpos>\&.
.RE
.LP
.B
getScrollRange(This::wxWindow(), Orient::integer()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowgetscrollrange>\&.
.RE
.LP
.B
getScrollThumb(This::wxWindow(), Orient::integer()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowgetscrollthumb>\&.
.RE
.LP
.B
getSize(This::wxWindow()) -> {W::integer(), H::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowgetsize>\&.
.RE
.LP
.B
getSizer(This::wxWindow()) -> wxSizer() (see module wxSizer)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowgetsizer>\&.
.RE
.LP
.B
getTextExtent(This::wxWindow(), String::string()) -> {X::integer(), Y::integer(), Descent::integer(), ExternalLeading::integer()}
.br
.RS
.LP
Equivalent to getTextExtent(This, String, [])\&.
.RE
.LP
.B
getTextExtent(This::wxWindow(), String::string(), Options::[Option]) -> {X::integer(), Y::integer(), Descent::integer(), ExternalLeading::integer()}
.br
.RS
.TP
Types
Option = {theFont, wxFont() (see module wxFont)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowgettextextent>\&.
.RE
.LP
.B
getToolTip(This::wxWindow()) -> wxToolTip() (see module wxToolTip)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowgettooltip>\&.
.RE
.LP
.B
getUpdateRegion(This::wxWindow()) -> wxRegion() (see module wxRegion)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowgetupdateregion>\&.
.RE
.LP
.B
getVirtualSize(This::wxWindow()) -> {W::integer(), H::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowgetvirtualsize>\&.
.RE
.LP
.B
getWindowStyleFlag(This::wxWindow()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowgetwindowstyleflag>\&.
.RE
.LP
.B
getWindowVariant(This::wxWindow()) -> WxWindowVariant
.br
.RS
.TP
Types
WxWindowVariant = integer()
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowgetwindowvariant>\&. 
.br
 WxWindowVariant is one of ?wxWINDOW_VARIANT_NORMAL | ?wxWINDOW_VARIANT_SMALL | ?wxWINDOW_VARIANT_MINI | ?wxWINDOW_VARIANT_LARGE | ?wxWINDOW_VARIANT_MAX
.RE
.LP
.B
hasCapture(This::wxWindow()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowhascapture>\&.
.RE
.LP
.B
hasScrollbar(This::wxWindow(), Orient::integer()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowhasscrollbar>\&.
.RE
.LP
.B
hasTransparentBackground(This::wxWindow()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowhastransparentbackground>\&.
.RE
.LP
.B
hide(This::wxWindow()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowhide>\&.
.RE
.LP
.B
inheritAttributes(This::wxWindow()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowinheritattributes>\&.
.RE
.LP
.B
initDialog(This::wxWindow()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowinitdialog>\&.
.RE
.LP
.B
invalidateBestSize(This::wxWindow()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowinvalidatebestsize>\&.
.RE
.LP
.B
isEnabled(This::wxWindow()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowisenabled>\&.
.RE
.LP
.B
isExposed(This::wxWindow(), X::term()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowisexposed>\&. 
.br
 Alternatives: 
.LP
\fI isExposed(This::wxWindow(), Pt::{X::integer(), Y::integer()}) -> bool() \fR 
.LP
\fI isExposed(This::wxWindow(), Rect::{X::integer(), Y::integer(), W::integer(), H::integer()}) -> bool() \fR 
.RE
.LP
.B
isExposed(This::wxWindow(), X::integer(), Y::integer()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowisexposed>\&.
.RE
.LP
.B
isExposed(This::wxWindow(), X::integer(), Y::integer(), W::integer(), H::integer()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowisexposed>\&.
.RE
.LP
.B
isRetained(This::wxWindow()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowisretained>\&.
.RE
.LP
.B
isShown(This::wxWindow()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowisshown>\&.
.RE
.LP
.B
isTopLevel(This::wxWindow()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowistoplevel>\&.
.RE
.LP
.B
layout(This::wxWindow()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowlayout>\&.
.RE
.LP
.B
lineDown(This::wxWindow()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowlinedown>\&.
.RE
.LP
.B
lineUp(This::wxWindow()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowlineup>\&.
.RE
.LP
.B
lower(This::wxWindow()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowlower>\&.
.RE
.LP
.B
makeModal(This::wxWindow()) -> ok
.br
.RS
.LP
Equivalent to makeModal(This, [])\&.
.RE
.LP
.B
makeModal(This::wxWindow(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {modal, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowmakemodal>\&.
.RE
.LP
.B
move(This::wxWindow(), Pt::{X::integer(), Y::integer()}) -> ok
.br
.RS
.LP
Equivalent to move(This, Pt, [])\&.
.RE
.LP
.B
move(This::wxWindow(), X::integer() | term(), X::integer() | term()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowmove>\&. 
.br
 Alternatives: 
.LP
\fI move(This::wxWindow(), X::integer(), Y::integer()) -> move(This, X, Y, []) \fR
.LP
\fI move(This::wxWindow(), Pt::{X::integer(), Y::integer()}, [Option]) -> ok \fR 
.br
 Option = {flags, integer()} 
.RE
.LP
.B
move(This::wxWindow(), X::integer(), Y::integer(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {flags, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowmove>\&.
.RE
.LP
.B
moveAfterInTabOrder(This::wxWindow(), Win::wxWindow()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowmoveafterintaborder>\&.
.RE
.LP
.B
moveBeforeInTabOrder(This::wxWindow(), Win::wxWindow()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowmovebeforeintaborder>\&.
.RE
.LP
.B
navigate(This::wxWindow()) -> bool()
.br
.RS
.LP
Equivalent to navigate(This, [])\&.
.RE
.LP
.B
navigate(This::wxWindow(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {flags, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindownavigate>\&.
.RE
.LP
.B
pageDown(This::wxWindow()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowpagedown>\&.
.RE
.LP
.B
pageUp(This::wxWindow()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowpageup>\&.
.RE
.LP
.B
popEventHandler(This::wxWindow()) -> wxEvtHandler() (see module wxEvtHandler)
.br
.RS
.LP
Equivalent to popEventHandler(This, [])\&.
.RE
.LP
.B
popEventHandler(This::wxWindow(), Options::[Option]) -> wxEvtHandler() (see module wxEvtHandler)
.br
.RS
.TP
Types
Option = {deleteHandler, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowpopeventhandler>\&.
.RE
.LP
.B
popupMenu(This::wxWindow(), Menu::wxMenu() (see module wxMenu)) -> bool()
.br
.RS
.LP
Equivalent to popupMenu(This, Menu, [])\&.
.RE
.LP
.B
popupMenu(This::wxWindow(), Menu::wxMenu() (see module wxMenu), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {pos, {X::integer(), Y::integer()}}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowpopupmenu>\&.
.RE
.LP
.B
popupMenu(This::wxWindow(), Menu::wxMenu() (see module wxMenu), X::integer(), Y::integer()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowpopupmenu>\&.
.RE
.LP
.B
raise(This::wxWindow()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowraise>\&.
.RE
.LP
.B
refresh(This::wxWindow()) -> ok
.br
.RS
.LP
Equivalent to refresh(This, [])\&.
.RE
.LP
.B
refresh(This::wxWindow(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {eraseBackground, bool()} | {rect, {X::integer(), Y::integer(), W::integer(), H::integer()}}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowrefresh>\&.
.RE
.LP
.B
refreshRect(This::wxWindow(), Rect::{X::integer(), Y::integer(), W::integer(), H::integer()}) -> ok
.br
.RS
.LP
Equivalent to refreshRect(This, Rect, [])\&.
.RE
.LP
.B
refreshRect(This::wxWindow(), Rect::{X::integer(), Y::integer(), W::integer(), H::integer()}, Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {eraseBackground, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowrefreshrect>\&.
.RE
.LP
.B
releaseMouse(This::wxWindow()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowreleasemouse>\&.
.RE
.LP
.B
removeChild(This::wxWindow(), Child::wxWindow()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowremovechild>\&.
.RE
.LP
.B
reparent(This::wxWindow(), NewParent::wxWindow()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowreparent>\&.
.RE
.LP
.B
screenToClient(This::wxWindow()) -> {X::integer(), Y::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowscreentoclient>\&.
.RE
.LP
.B
screenToClient(This::wxWindow(), Pt::{X::integer(), Y::integer()}) -> {X::integer(), Y::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowscreentoclient>\&.
.RE
.LP
.B
scrollLines(This::wxWindow(), Lines::integer()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowscrolllines>\&.
.RE
.LP
.B
scrollPages(This::wxWindow(), Pages::integer()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowscrollpages>\&.
.RE
.LP
.B
scrollWindow(This::wxWindow(), Dx::integer(), Dy::integer()) -> ok
.br
.RS
.LP
Equivalent to scrollWindow(This, Dx, Dy, [])\&.
.RE
.LP
.B
scrollWindow(This::wxWindow(), Dx::integer(), Dy::integer(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {rect, {X::integer(), Y::integer(), W::integer(), H::integer()}}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowscrollwindow>\&.
.RE
.LP
.B
setAcceleratorTable(This::wxWindow(), Accel::wxAcceleratorTable() (see module wxAcceleratorTable)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowsetacceleratortable>\&.
.RE
.LP
.B
setAutoLayout(This::wxWindow(), AutoLayout::bool()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowsetautolayout>\&.
.RE
.LP
.B
setBackgroundColour(This::wxWindow(), Colour::colour() (see module wx)) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowsetbackgroundcolour>\&.
.RE
.LP
.B
setBackgroundStyle(This::wxWindow(), Style::WxBackgroundStyle) -> bool()
.br
.RS
.TP
Types
WxBackgroundStyle = integer()
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowsetbackgroundstyle>\&. 
.br
 WxBackgroundStyle is one of ?wxBG_STYLE_SYSTEM | ?wxBG_STYLE_COLOUR | ?wxBG_STYLE_CUSTOM
.RE
.LP
.B
setCaret(This::wxWindow(), Caret::wxCaret() (see module wxCaret)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowsetcaret>\&.
.RE
.LP
.B
setClientSize(This::wxWindow(), X::term()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowsetclientsize>\&. 
.br
 Alternatives: 
.LP
\fI setClientSize(This::wxWindow(), Size::{W::integer(), H::integer()}) -> ok \fR 
.LP
\fI setClientSize(This::wxWindow(), Rect::{X::integer(), Y::integer(), W::integer(), H::integer()}) -> ok \fR 
.RE
.LP
.B
setClientSize(This::wxWindow(), Width::integer(), Height::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowsetclientsize>\&.
.RE
.LP
.B
setContainingSizer(This::wxWindow(), Sizer::wxSizer() (see module wxSizer)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowsetcontainingsizer>\&.
.RE
.LP
.B
setCursor(This::wxWindow(), Cursor::wxCursor() (see module wxCursor)) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowsetcursor>\&.
.RE
.LP
.B
setMaxSize(This::wxWindow(), MaxSize::{W::integer(), H::integer()}) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowsetmaxsize>\&.
.RE
.LP
.B
setMinSize(This::wxWindow(), MinSize::{W::integer(), H::integer()}) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowsetminsize>\&.
.RE
.LP
.B
setOwnBackgroundColour(This::wxWindow(), Colour::colour() (see module wx)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowsetownbackgroundcolour>\&.
.RE
.LP
.B
setOwnFont(This::wxWindow(), Font::wxFont() (see module wxFont)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowsetownfont>\&.
.RE
.LP
.B
setOwnForegroundColour(This::wxWindow(), Colour::colour() (see module wx)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowsetownforegroundcolour>\&.
.RE
.LP
.B
setDropTarget(This::wxWindow(), DropTarget::wxDropTarget() (see module wxDropTarget)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowsetdroptarget>\&.
.RE
.LP
.B
setExtraStyle(This::wxWindow(), ExStyle::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowsetextrastyle>\&.
.RE
.LP
.B
setFocus(This::wxWindow()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowsetfocus>\&.
.RE
.LP
.B
setFocusFromKbd(This::wxWindow()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowsetfocusfromkbd>\&.
.RE
.LP
.B
setFont(This::wxWindow(), Font::wxFont() (see module wxFont)) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowsetfont>\&.
.RE
.LP
.B
setForegroundColour(This::wxWindow(), Colour::colour() (see module wx)) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowsetforegroundcolour>\&.
.RE
.LP
.B
setHelpText(This::wxWindow(), Text::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowsethelptext>\&.
.RE
.LP
.B
setId(This::wxWindow(), Winid::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowsetid>\&.
.RE
.LP
.B
setLabel(This::wxWindow(), Label::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowsetlabel>\&.
.RE
.LP
.B
setName(This::wxWindow(), Name::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowsetname>\&.
.RE
.LP
.B
setPalette(This::wxWindow(), Pal::wxPalette() (see module wxPalette)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowsetpalette>\&.
.RE
.LP
.B
setScrollbar(This::wxWindow(), Orient::integer(), Pos::integer(), ThumbVisible::integer(), Range::integer()) -> ok
.br
.RS
.LP
Equivalent to setScrollbar(This, Orient, Pos, ThumbVisible, Range, [])\&.
.RE
.LP
.B
setScrollbar(This::wxWindow(), Orient::integer(), Pos::integer(), ThumbVisible::integer(), Range::integer(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {refresh, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowsetscrollbar>\&.
.RE
.LP
.B
setScrollPos(This::wxWindow(), Orient::integer(), Pos::integer()) -> ok
.br
.RS
.LP
Equivalent to setScrollPos(This, Orient, Pos, [])\&.
.RE
.LP
.B
setScrollPos(This::wxWindow(), Orient::integer(), Pos::integer(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {refresh, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowsetscrollpos>\&.
.RE
.LP
.B
setSize(This::wxWindow(), X::term()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowsetsize>\&. 
.br
 Alternatives: 
.LP
\fI setSize(This::wxWindow(), Rect::{X::integer(), Y::integer(), W::integer(), H::integer()}) -> setSize(This, Rect, []) \fR
.LP
\fI setSize(This::wxWindow(), Size::{W::integer(), H::integer()}) -> ok \fR 
.RE
.LP
.B
setSize(This::wxWindow(), X::integer() | term(), X::integer() | term()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowsetsize>\&. 
.br
 Alternatives: 
.LP
\fI setSize(This::wxWindow(), Width::integer(), Height::integer()) -> ok \fR 
.LP
\fI setSize(This::wxWindow(), Rect::{X::integer(), Y::integer(), W::integer(), H::integer()}, [Option]) -> ok \fR 
.br
 Option = {sizeFlags, integer()} 
.RE
.LP
.B
setSize(This::wxWindow(), X::integer(), Y::integer(), Width::integer(), Height::integer()) -> ok
.br
.RS
.LP
Equivalent to setSize(This, X, Y, Width, Height, [])\&.
.RE
.LP
.B
setSize(This::wxWindow(), X::integer(), Y::integer(), Width::integer(), Height::integer(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {sizeFlags, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowsetsize>\&.
.RE
.LP
.B
setSizeHints(This::wxWindow(), MinSize::{W::integer(), H::integer()}) -> ok
.br
.RS
.LP
Equivalent to setSizeHints(This, MinSize, [])\&.
.RE
.LP
.B
setSizeHints(This::wxWindow(), X::integer() | term(), X::integer() | term()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowsetsizehints>\&. 
.br
 Alternatives: 
.LP
\fI setSizeHints(This::wxWindow(), MinW::integer(), MinH::integer()) -> setSizeHints(This, MinW, MinH, []) \fR
.LP
\fI setSizeHints(This::wxWindow(), MinSize::{W::integer(), H::integer()}, [Option]) -> ok \fR 
.br
 Option = {maxSize, {W::integer(),H::integer()}} | {incSize, {W::integer(),H::integer()}} 
.RE
.LP
.B
setSizeHints(This::wxWindow(), MinW::integer(), MinH::integer(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {maxW, integer()} | {maxH, integer()} | {incW, integer()} | {incH, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowsetsizehints>\&.
.RE
.LP
.B
setSizer(This::wxWindow(), Sizer::wxSizer() (see module wxSizer)) -> ok
.br
.RS
.LP
Equivalent to setSizer(This, Sizer, [])\&.
.RE
.LP
.B
setSizer(This::wxWindow(), Sizer::wxSizer() (see module wxSizer), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {deleteOld, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowsetsizer>\&.
.RE
.LP
.B
setSizerAndFit(This::wxWindow(), Sizer::wxSizer() (see module wxSizer)) -> ok
.br
.RS
.LP
Equivalent to setSizerAndFit(This, Sizer, [])\&.
.RE
.LP
.B
setSizerAndFit(This::wxWindow(), Sizer::wxSizer() (see module wxSizer), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {deleteOld, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowsetsizerandfit>\&.
.RE
.LP
.B
setThemeEnabled(This::wxWindow(), EnableTheme::bool()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowsetthemeenabled>\&.
.RE
.LP
.B
setToolTip(This::wxWindow(), X::string() | term()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowsettooltip>\&. 
.br
 Alternatives: 
.LP
\fI setToolTip(This::wxWindow(), Tip::string()) -> ok \fR 
.LP
\fI setToolTip(This::wxWindow(), Tip::wxToolTip:wxToolTip()) -> ok \fR 
.RE
.LP
.B
setVirtualSize(This::wxWindow(), Size::{W::integer(), H::integer()}) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowsetvirtualsize>\&.
.RE
.LP
.B
setVirtualSize(This::wxWindow(), X::integer(), Y::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowsetvirtualsize>\&.
.RE
.LP
.B
setVirtualSizeHints(This::wxWindow(), MinSize::{W::integer(), H::integer()}) -> ok
.br
.RS
.LP
Equivalent to setVirtualSizeHints(This, MinSize, [])\&.
.RE
.LP
.B
setVirtualSizeHints(This::wxWindow(), X::integer() | term(), X::integer() | term()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowsetvirtualsizehints>\&. 
.br
 Alternatives: 
.LP
\fI setVirtualSizeHints(This::wxWindow(), MinW::integer(), MinH::integer()) -> setVirtualSizeHints(This, MinW, MinH, []) \fR
.LP
\fI setVirtualSizeHints(This::wxWindow(), MinSize::{W::integer(), H::integer()}, [Option]) -> ok \fR 
.br
 Option = {maxSize, {W::integer(),H::integer()}} 
.RE
.LP
.B
setVirtualSizeHints(This::wxWindow(), MinW::integer(), MinH::integer(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {maxW, integer()} | {maxH, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowsetvirtualsizehints>\&.
.RE
.LP
.B
setWindowStyle(This::wxWindow(), Style::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowsetwindowstyle>\&.
.RE
.LP
.B
setWindowStyleFlag(This::wxWindow(), Style::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowsetwindowstyleflag>\&.
.RE
.LP
.B
setWindowVariant(This::wxWindow(), Variant::WxWindowVariant) -> ok
.br
.RS
.TP
Types
WxWindowVariant = integer()
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowsetwindowvariant>\&. 
.br
 WxWindowVariant is one of ?wxWINDOW_VARIANT_NORMAL | ?wxWINDOW_VARIANT_SMALL | ?wxWINDOW_VARIANT_MINI | ?wxWINDOW_VARIANT_LARGE | ?wxWINDOW_VARIANT_MAX
.RE
.LP
.B
shouldInheritColours(This::wxWindow()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowshouldinheritcolours>\&.
.RE
.LP
.B
show(This::wxWindow()) -> bool()
.br
.RS
.LP
Equivalent to show(This, [])\&.
.RE
.LP
.B
show(This::wxWindow(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {show, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowshow>\&.
.RE
.LP
.B
thaw(This::wxWindow()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowthaw>\&.
.RE
.LP
.B
transferDataFromWindow(This::wxWindow()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowtransferdatafromwindow>\&.
.RE
.LP
.B
transferDataToWindow(This::wxWindow()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowtransferdatatowindow>\&.
.RE
.LP
.B
update(This::wxWindow()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowupdate>\&.
.RE
.LP
.B
updateWindowUI(This::wxWindow()) -> ok
.br
.RS
.LP
Equivalent to updateWindowUI(This, [])\&.
.RE
.LP
.B
updateWindowUI(This::wxWindow(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {flags, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowupdatewindowui>\&.
.RE
.LP
.B
validate(This::wxWindow()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowvalidate>\&.
.RE
.LP
.B
warpPointer(This::wxWindow(), X::integer(), Y::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxwindow\&.html#wxwindowwarppointer>\&.
.RE
.LP
.B
destroy(This::wxWindow()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
